-#!/usr/bin/env sh
+#!/usr/bin/env bash
if [[ -z "$1" ]]; then
echo "Run with parameters: essential, nice, cask_essential, or cask_nice"
command_name="brew"
else
if command -v apt &> /dev/null; then
- command_name="brew"
+ command_name="apt"
else
echo "Error: No valid package manager. Make sure brew or apt are available."
exit 1
cat ./provisioning/${command_name}_$1 | xargs ${command_name} install
else
echo "No provisioning recipe for $1 with $command_name"
+ exit 1
fi
fi